set(mvIMPACT_Acquire_INCLUDE_DIRS $ENV{MVIMPACT_ACQUIRE_DIR})
add_library(mvIMPACT_Acquire::mvDeviceManager UNKNOWN IMPORTED)
set_target_properties(mvIMPACT_Acquire::mvDeviceManager PROPERTIES IMPORTED_LINK_INTERFACE_LANGUAGES "C")
set_target_properties(mvIMPACT_Acquire::mvDeviceManager PROPERTIES INTERFACE_INCLUDE_DIRECTORIES ${mvIMPACT_Acquire_INCLUDE_DIRS})
if(WIN32)
    add_library(mvIMPACT_Acquire::mvDisplay UNKNOWN IMPORTED)
    set_target_properties(mvIMPACT_Acquire::mvDisplay PROPERTIES IMPORTED_LINK_INTERFACE_LANGUAGES "C")
    set_target_properties(mvIMPACT_Acquire::mvDisplay PROPERTIES INTERFACE_INCLUDE_DIRECTORIES ${mvIMPACT_Acquire_INCLUDE_DIRS})
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
        set_target_properties(mvIMPACT_Acquire::mvDeviceManager PROPERTIES IMPORTED_LOCATION "$ENV{MVIMPACT_ACQUIRE_DIR}/lib/win/x64/mvDeviceManager.lib")
        set_target_properties(mvIMPACT_Acquire::mvDisplay       PROPERTIES IMPORTED_LOCATION "$ENV{MVIMPACT_ACQUIRE_DIR}/lib/win/x64/mvDisplay.lib")
    elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
        set_target_properties(mvIMPACT_Acquire::mvDeviceManager PROPERTIES IMPORTED_LOCATION "$ENV{MVIMPACT_ACQUIRE_DIR}/lib/mvDeviceManager.lib")
        set_target_properties(mvIMPACT_Acquire::mvDisplay       PROPERTIES IMPORTED_LOCATION "$ENV{MVIMPACT_ACQUIRE_DIR}/lib/mvDisplay.lib")
    else()
        message(FATAL_ERROR "Unsupported Windows target platform!")
    endif()
    set(mvIMPACT_Acquire_LIBRARIES mvIMPACT_Acquire::mvDeviceManager mvIMPACT_Acquire::mvDisplay)
elseif(UNIX)
    set(MVIMPACT_ACQUIRE_LIB_DIR_SEARCH_LOCATIONS lib/x86 lib/x86_64 lib/arm lib/armsf lib/armhf lib/arm64 lib/ppc_6xx lib/armv7a lib/armv7ahf lib/armv7axe lib/armv6zk) #todo GEMINI etc.?
    find_path(MVIMPACT_ACQUIRE_LIB_DIR
        NAMES libmvDeviceManager.so
        PATHS ENV MVIMPACT_ACQUIRE_DIR
        PATH_SUFFIXES ${MVIMPACT_ACQUIRE_LIB_DIR_SEARCH_LOCATIONS}
        DOC "mvIMPACT Acquire library directory")
    if(${MVIMPACT_ACQUIRE_LIB_DIR} STREQUAL "MVIMPACT_ACQUIRE_LIB_DIR-NOTFOUND")
        message(FATAL_ERROR "Could not find core libraries in any of these sub-directories of '$ENV{MVIMPACT_ACQUIRE_DIR}': ${MVIMPACT_ACQUIRE_LIB_DIR_SEARCH_LOCATIONS}")
    endif()
    set_target_properties(mvIMPACT_Acquire::mvDeviceManager PROPERTIES IMPORTED_LOCATION "${MVIMPACT_ACQUIRE_LIB_DIR}/libmvDeviceManager.so")
    set(mvIMPACT_Acquire_LIBRARIES mvIMPACT_Acquire::mvDeviceManager)
else()
    message(FATAL_ERROR "Unsupported target platform!")
endif()